@echo off
REM Install batch file for Windows 95 FindVirus Site Licence disks
cls

if exist SLFV95.1 goto PARSE
echo This batch file must be run from the drive and directory containing
echo the site licence files.  For example you cannot use
echo    a:\install
echo instead you must make A:\ the current drive
echo    a:
echo    install
echo.
goto END

:PARSE
if "%1"=="" goto DEFAULT
SET DVP=%1
goto INSTALL

:DEFAULT
echo Findvirus for Windows 95 will be installed to C:\TOOLKIT.
echo If you want the files to be copied somewhere else, press CTRL and BREAK,
echo followed by Y, and then run INSTALL [drive:\directory path]
echo.
echo Press CTRL and BREAK, followed by Y, to
echo exit without installing Findvirus OR
pause
set DVP=C:\TOOLKIT

:INSTALL
if not exist %DVP%\nul md %DVP%
if exist %DVP%\nul goto START
echo Installation not complete - Could not create %DVP%
goto END

:START
.\tkutil update . %DVP% /a /silent

REM If this Disk 2 file is present in the source dir we can assume
REM that all files are in the source directory; no need for disk 2.
if exist .\SLFV95.2 goto FINISH

cls
echo Please insert 'FindVirus Disk 2' and
pause
cls
if exist .\SLFV95.2 goto DISK2
echo Installation not complete - Disk 2 not inserted
goto FINISH

:DISK2
echo FindVirus is being installed, please wait . . .
copy .\*.* %DVP% > NUL

cls
echo Please insert 'FindVirus Disk 3' and
pause
cls
if exist .\SLFV95.3 goto DISK3
echo Installation not complete - Disk 3 not inserted
goto FINISH

:DISK3
echo FindVirus is being installed, please wait . . .
copy .\*.* %DVP% > NUL

:FINISH
cls
@IF EXIST %DVP%\_INST16.EX_  DEL %DVP%\_INST16.EX_  >> NUL
@IF EXIST %DVP%\_INST32i.EX_ DEL %DVP%\_INST32i.EX_ >> NUL
@IF EXIST %DVP%\_ISDEL.EXE   DEL %DVP%\_ISDEL.EXE   >> NUL
@IF EXIST %DVP%\_SETUP.DLL   DEL %DVP%\_SETUP.DLL   >> NUL
@IF EXIST %DVP%\_SETUP.LIB   DEL %DVP%\_SETUP.LIB   >> NUL
@IF EXIST %DVP%\SETUP.EXE    DEL %DVP%\SETUP.EXE    >> NUL
@IF EXIST %DVP%\SETUP.INS    DEL %DVP%\SETUP.INS    >> NUL
@IF EXIST %DVP%\SETUP.PKG    DEL %DVP%\SETUP.PKG    >> NUL
@IF EXIST %DVP%\SOLOMON.DAT  DEL %DVP%\SOLOMON.DAT  >> NUL
@IF EXIST %DVP%\SOLOMON.PRG  DEL %DVP%\SOLOMON.PRG  >> NUL
@IF EXIST %DVP%\INSTALL.BAT  DEL %DVP%\INSTALL.BAT  >> NUL
@IF EXIST %DVP%\MCSCRIPT.INI DEL %DVP%\MCSCRIPT.INI >> NUL
@IF EXIST %DVP%\SLFV95.?     DEL %DVP%\SLFV95.?     >> NUL

echo Installation complete.

:END
set DVP=
